
#include "precomp.h"

#include "view.h"
#include "mainframe.h"

/////////////////////////////////////////////////////////////////////////////
// View construction:

View::View(CL_GUIComponent *parent, MainFrame *mainframe, const CL_String &title)
: CL_GUIComponent(parent), mainframe(mainframe), title(title)
{
}

View::~View()
{
}

/////////////////////////////////////////////////////////////////////////////
// View attributes:

MainFrame *View::get_mainframe()
{
	return mainframe;
}

Document *View::get_document()
{
	return mainframe->get_document();
}

/////////////////////////////////////////////////////////////////////////////
// View operations:


/////////////////////////////////////////////////////////////////////////////
// View implementation:


